org.appng.api.rest.model

## Enum Message.LevelEnum

- java.lang.Object
- - java.lang.Enum<Message.LevelEnum>
  - - org.appng.api.rest.model.Message.LevelEnum

- All Implemented Interfaces:
    Serializable, Comparable<Message.LevelEnum>
  Enclosing class:
    Message

      public static enum Message.LevelEnum
      extends Enum<Message.LevelEnum>

  The level of the message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INVALID`
    `NOTICE`
    `OK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Message.LevelEnum` | `fromValue(String value)`
    `String` | `getValue()`
    `String` | `toString()`
    `static Message.LevelEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Message.LevelEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final Message.LevelEnum OK

    - #### NOTICE

          public static final Message.LevelEnum NOTICE

    - #### INVALID

          public static final Message.LevelEnum INVALID

    - #### ERROR

          public static final Message.LevelEnum ERROR

  - ### Method Detail

    - #### values

          public static Message.LevelEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.LevelEnum c : Message.LevelEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.LevelEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Message.LevelEnum>`

    - #### fromValue

          public static Message.LevelEnum fromValue(String value)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.